[Resolved] How to Resolve Install conflicts?

General support questions
zovs66
Posts: 50
Joined: 2017/09/29 14:55:01

[Resolved] How to Resolve Install conflicts?

Postby zovs66 » 2017/10/17 15:53:53

Okay I have another CentOS 7 machine

Code: Select all

Linux adminbox.admindomain 3.10.0-514.10.2.el7.x86_64 #1 SMP Fri Mar 3 00:04:05 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux
CentOS Linux release 7.3.1611 (Core)


And when I run sudo yum update I see the following:

http://pastebin.centos.org/380221/

So there are a lot of updates but yum is complaining about these:

Code: Select all

ipa-client-4.4.0-14.el7.centos.6.x86_64 has installed conflicts freeipa-client: ipa-client-4.4.0-14.el7.centos.6.x86_64
ipa-client-common-4.4.0-14.el7.centos.6.noarch has installed conflicts freeipa-client-common: ipa-client-common-4.4.0-14.el7.centos.6.noarch
ipa-common-4.4.0-14.el7.centos.6.noarch has installed conflicts freeipa-common: ipa-common-4.4.0-14.el7.centos.6.noarch
ipa-python-compat-4.4.0-14.el7.centos.6.noarch has installed conflicts freeipa-python-compat: ipa-python-compat-4.4.0-14.el7.centos.6.noarch


So how do I go about resolving / fixing these conflicts?
Last edited by zovs66 on 2017/10/17 21:35:43, edited 1 time in total.
Red, Green, Refactor...

User avatar
avij
Forum Moderator
Posts: 2138
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: How to Resolve Install conflicts?

Postby avij » 2017/10/17 16:51:23

Please read the Release Notes. It says to yum downgrade libgpod. You should also read the note about rdma-core on that page.

Once those have been taken care of, yum update should work OK. Ignore the ipa packages for now.

zovs66
Posts: 50
Joined: 2017/09/29 14:55:01

Re: How to Resolve Install conflicts?

Postby zovs66 » 2017/10/17 21:35:22

Many thanks avij!!!

That did the trick! Thank you!

Two servers updated successfully.
Red, Green, Refactor...